/**
 * @(#)TextoEditorPanel.java
 * Autor: Kellen Christine
 * Data: Nov 01 99
 * Copyright (c) 1997-1999 Departamento de Informtica - UFPE
 */

/**
 * A classe <code>TextoEditorPanel</code> define um panel que o editor de
 * propriedade ira mostrar em uma janela quando for chamado.
 * @author  Kellen Christine
 * @version 1.0, 01/11/99
 * @since   JDK1.0
 */

package editorTextArea;


import java.awt.*;
import java.beans.*;
import javax.swing.*;

public class TextoEditorPanel extends Panel {
  private PropertyEditor editor;
  JTextArea textArea = new JTextArea();
  JScrollPane jScrollPane1 = new JScrollPane();
  BorderLayout borderLayout1 = new BorderLayout();


  public TextoEditorPanel(PropertyEditor editor) {
    this();
    this.editor = editor;
  }


  public TextoEditorPanel() {
    try  {
      jbInit();
    }
    catch (Exception e) {
      e.printStackTrace();
    }
  }

  private void jbInit() throws Exception {
    this.setSize(new Dimension(231, 303));
    this.setLayout(borderLayout1);
    this.add(jScrollPane1, BorderLayout.CENTER);
    jScrollPane1.getViewport().add(textArea, null);
  }


}


